#!/usr/bin/python

__author__ =  'Mohamed A. Bamakhrama'
__description__ = 'Utility Functions'

from functools import reduce

def gcd(a, b):
	while b != 0:
		t = b
		b = a % b
		a = t
	return a


def lcm(a,b):
	return (a*b)/gcd(a,b)


def gcdv(vec):
	return reduce(gcd,vec)


def lcmv(vec):
	return reduce(lcm,vec)

	
def RM_exact_bound(n):
	if n > 0:
		k = float(n)
		return (k * (2.0**(1.0/k) -  1.0))
	else:
		return 0.0

	
def tabs(n):
	s = ""
	for i in range(n):
		s += "\t"
	return s	
	
